# transparent SBC profile
#
# This implements a transparent B2BUA - all possible options are commented

# defaults: transparent
#RURI=$r
#From=$f
#To=sip:$rU@ims.voiceblue.com

#Call-ID
#Call-ID=$ci-ngv

## routing
# outbound proxy:
outbound_proxy=sip:mo@$si:$sp
# force outbound proxy (in-dialog requests)?
#force_outbound_proxy=yes
# destination IP[:port] for outgoing requests
next_hop_ip=$si
next_hop_port=$sp
# use next_hop for replies, too?
#next_hop_for_replies=yes
# outbound interface to use (interface ID)
#outbound_interface=extern

## RTP relay
# enable RTP relaying (bridging):
enable_rtprelay=no
# force symmetric RTP (start with passive mode):
#rtprelay_force_symmetric_rtp=yes
# use symmetric RTP indication from P-MsgFlags flag 2
#rtprelay_msgflags_symmetric_rtp=yes

## filters: 
header_filter=whitelist
header_list=Diversion,P-Asserted-Identity,Privacy,Allow,Event,Expires,Accept,User-Agent,Subscription-State,P-Access-Network-Info,P-Route,C-Params,Feature-Caps
#header_filter=blacklist
#header_list=
#header_list=P-App-Param,P-App-Name
message_filter=blacklist
message_list=SUBSCRIBE
sdp_filter=whitelist
#sdpfilter_list=g722,pcma,pcmu,gsm,amr,h264,telephone-event
sdpfilter_list=g722,pcma,pcmu,gsm,amr,amr-wb,amr-wb/16000,h264,telephone-event
codec_preference=g722,amr-wb,amr-wb/16000,pcmu,pcma,gsm,amr
sdp_anonymize=yes
#sdp_anonymize=no
# Filter A-Lines:
sdp_alines_filter=blacklist
sdp_alinesfilter_list=crypto,nortpproxy

## Transcoding
enable_transcoder=on_missing_compatible
#enable_transcoder=always
transcoder_codecs=amr,pcma,pcmu
#transcoder_codecs=amr-wb/16000,amr-wb,g722,amr,pcma,pcmu
prefer_existing_codecs=yes
# Minimum G711!
callee_codeccaps=pcma,pcmu

## reply translations
# translate some 6xx class replies to 4xx class:
#reply_translations="603=>488 Not acceptable here|600=>406 Not Acceptable"

# From the mobile network
enable_aleg_session_timer=no
aleg_session_expires=120
aleg_minimum_timer=90
aleg_maximum_timer=180

# From our network
enable_session_timer=no
session_expires=120
minimum_timer=90
maximum_timer=7200

#session_refresh_method=UPDATE_FALLBACK_INVITE
#accept_501_reply=yes
